Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Passwort vergessen - Neugenerierung klappt nicht, Version 1.4.4
#11

Habe gerade versucht, upgrade.php aufzurufen. Keinerlei Reaktion. Nur eine weiße Seite...
#12
Bitte lade die Dateien neu hoch, um einen Übertragungsfehler auszuschließen.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#13
Leider immer noch alles weiß.

Ich hatte übrigens diese Version herunter geladen: https://www.mybb.de/dateidownload/versio....08.10.zip
Wenn ich nur auf den Ordner install/ gehe (also ohne upgrade.php dahinter), kommt übrigens folgendes:

"MyBB Installation Wizard
MyBB is already installedWelcome to the installation wizard for MyBB 1.4.14. MyBB has detected it is already configured this directory.
Please choose a suitable action below:
Upgrade my existing copy of MyBB to 1.4.14 (Recommended)
This option will upgrade your current version of MyBB to MyBB 1.4.14.
You should choose this option when you wish to retain your current forum threads, posts, users and other information.
Install a new copy of MyBB
This option will delete any existing forum you may have set up and install a fresh version of MyBB.
You should choose this option to erase your existing copy of MyBB if you wish to start again."

Wenn ich dann auf upgrade klicke, kommt auch wieder die leere Seite ..
Ich lade erstmal die alte Version wieder hoch.
Ich wusste doch, dass Upgrades Mist sind (höflich ausgedrückt).

Nochmal zurück zum Ursprungsproblem in 1.4.4:

Bei einem neuen Testuser, den ich gerade erzeugt hatte, hatte ich das Problem komischerweise nicht, d.h. ein neues PW wurde generiert und damit konnte ich mich auch einloggen. Der User, der das Problem hat, erhält per Mail ein neues Passwort, kann sich damit aber nicht einloggen, sondern erhält die Nachricht: "Bitte korrigieren Sie die folgenden Fehler bevor Sie fortfahren: Bitte geben Sie den Bestätigungscode ein, um mit der Anmeldung fortzufahren. Geben Sie den Code genau so ein, wie er im Bild zu sehen ist."

Es war aber gar kein Code zu sehen. Im Ergebnis kann er sich also mit dem neuen PW nicht einloggen. Ich konnte mich an meinem PC selbst von dem Problem überzeugen.


Ach ja, kann ich das Passwort des betroffenen Users vielleicht in der Datenbank ändern (mybb_users) ? Das wäre vielleicht auch noch eine Notlösung (die Änderung des Passwortes im admin-CP hat ja leider nicht funktioniert).
#14
1. Der Großteil an Aktualisierungen geht problemlos über die Bühne. Dass es in Einzelfällen nicht klappt, liegt meistens an Erweiterungen, etc.

2. Hättest du direkt die Fehlermeldung genannt, hätte man auch schneller helfen können. Das soll natürlich nicht bedeuten, dass ein Upgrade nicht zu empfehlen ist, denn der Fehler wurde längst behoben. Siehe:

https://www.mybb.de/forum/thread-11789.html

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#15
1.) Ich hatte mit Upgrades oft große Probleme, wie jetzt halt auch wieder. Oft dürften die Fehler ehrlich gesagt bei mir liegen, bin halt kein Programmierer. Es wäre schön, wenn Du mir doch noch nen Tipp geben könntest, wo das Upgrade-Problem liegt und wie ich auf 1.4.14 upgraden kann. Jetzt hatte ich mich gerade einmal schweren Herzens dazu durchgerungen ...

2.) Kann ich die verlinkte member.php noch für meine Version 1.4.4 verwenden ? Die stammt ja offenbar aus April 2008.
Ich habe die verlinkte member.php jetzt einfach mal hoch geladen und der Login funktioniert jetzt besser, wenn auch noch nicht perfekt. Beim ersten Anmeldversuch mit dem generierten Paßwort scheitert man weiterhin. Man muss dann im 2. Versuch ein Captcha eingeben, dann klappt der Login.
#16
(16.01.2011, 20:05)jonas11 schrieb: 1.) Ich hatte mit Upgrades oft große Probleme, wie jetzt halt auch wieder. Oft dürften die Fehler ehrlich gesagt bei mir liegen, bin halt kein Programmierer. Es wäre schön, wenn Du mir doch noch nen Tipp geben könntest, wo das Upgrade-Problem liegt und wie ich auf 1.4.14 upgraden kann. Jetzt hatte ich mich gerade einmal schweren Herzens dazu durchgerungen ...
Einen Tipp kann ich dir nicht geben, außer, dass du eigene Anpassungen dokumentierst, damit diese einfach nachvollzogen werden können. Ansonsten MyBB 1.4.14 komplett runterladen, alle Dateien ersetzen und das Upgradeskript aufrufen. Wenn du Angst vor dem Upgrade hast empfiehlt sich ein Testlauf auf einer Kopie des echten Forums.
(16.01.2011, 20:05)jonas11 schrieb: 2.) Kann ich die verlinkte member.php noch für meine Version 1.4.4 verwenden ? Die stammt ja offenbar aus April 2008.
Genau wie MyBB 1.4.4...
(16.01.2011, 20:05)jonas11 schrieb: Ich habe die verlinkte member.php jetzt einfach mal hoch geladen und der Login funktioniert jetzt besser, wenn auch noch nicht perfekt. Beim ersten Anmeldversuch mit dem generierten Paßwort scheitert man weiterhin. Man muss dann im 2. Versuch ein Captcha eingeben, dann klappt der Login.
Ich glaube das war ein Quickfix, damit es überhaupt wieder geht. Grundsätzlich wird das Bild ja erst nach mehreren fehlgeschlagenen Logins angezeigt und aktuell ist kein Problem dazu bekannt.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#17
"Ansonsten MyBB 1.4.14 komplett runterladen, alle Dateien ersetzen und das Upgradeskript aufrufen." => Genau das hatte ich bereits von vorne herein gemacht (s.o.). Mit dem Ergebnis der weißen Seite...
#18
Der Thread ist erledigt, ich habe die Versionen einzeln hochgespielt (puh).


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Passwort vergessen ! ;-( -Sun- 5 1.301 16.09.2009, 15:55
Letzter Beitrag: -Sun-